<?php
//require_once '../../../config/inc.config.php';
require_once CONTROLER_PATH.'Controler_classe.php';
require_once MODEL_PATH.'gestionBD/GestionBDArticle_classe.php';

class ControlerArticle extends Controler
{
	private $gestionBDArticle;

	public function __construct()
	{
		parent::__construct();
		$this->gestionBDArticle = new GestionBDArticle();
	}


	public function create()
	{
		if (isset($this->parametres['content']) && isset($this->parametres['email']))
		{
			$content = $this->parametres['content'];
			$email = $this->parametres['email'];
			$this->gestionBDArticle->createArticle($content,$email);
			$this->refresh();
		}
	}
	public function read()
	{
		if (isset($this->parametres['id']))
		{
			$id = $this->parametres['id'];
			$article=$this->gestionBDArticle->getArticleById($id);
			echo $article;
		}
		elseif (isset($this->parametres['email']))
		{
			$email = $this->parametres['email'];
			$articles=$this->gestionBDArticle->getArticlesByEmail($email);
			print_r($articles);
		}
		else

		{
			$articles=$this->gestionBDArticle->getAllArticles();
			$this->monSmarty->assign("articles",$articles);
			require_once MODEL_PATH.'gestionBD/GestionBDUser_classe.php';
			$gestionBDUser = new GestionBDUser();
			$users = $gestionBDUser->getAllUsers();
			$emails = array();
			foreach ($users as $user)
			array_push($emails, $user->getEmail());
			$this->monSmarty->assign('myOptions', $emails);
			$this->monSmarty->display("bo/article/listerArticles.tpl");
		}
	}
	public function update()
	{
		if (isset($this->parametres['affiche']) && isset($this->parametres['id']))
		{
			$id = $this->parametres['id'];
			$article= $this-> gestionBDArticle->getArticleById($id);
			$this->monSmarty->assign("article",$article);
			require_once MODEL_PATH.'gestionBD/GestionBDUser_classe.php';
			$gestionBDUser = new GestionBDUser();
			$users = $gestionBDUser->getAllUsers();
			$emails = array();
			foreach ($users as $user)
			array_push($emails, $user->getEmail());
			$this->monSmarty->assign('myOptions', $emails);
			$this->monSmarty->display("bo/article/modifierArticle.tpl");
		}
		else
		{
			if ( isset($this->parametres['id'])&& isset($this->parametres['content']) && isset($this->parametres['email']))
			{
				$id = $this->parametres['id'];
				$content = $this->parametres['content'];
				$email = $this->parametres['email'];
				$this->gestionBDArticle->updateArticle($id,$content,$email);
				$articles=$this->gestionBDArticle->getAllArticles();
				$this->monSmarty->assign("articles",$articles);
				require_once MODEL_PATH.'gestionBD/GestionBDUser_classe.php';
				$gestionBDUser = new GestionBDUser();
				$users = $gestionBDUser->getAllUsers();
				$emails = array();
				foreach ($users as $user)
				array_push($emails, $user->getEmail());
				$this->monSmarty->assign('myOptions', $emails);
				$this->monSmarty->display("bo/article/listerArticles.tpl");
			}
		}
	}
	public function delete()
	{
		if (isset($this->parametres['id']))
		{
			$id = $this->parametres['id'];
			$this->gestionBDArticle->delArticleById($id);
			$this->refresh();
		}
	}
}
?>