<?php

	include_once("inc.config.php");
	require_once(GESTIONBD_PATH."gestionBDArticle_classe.php");
	require_once(MODELS_PATH."article_classe.php");

	class Controleur_Article extends Controleur {
		
		private $gestionBDArticle;
		
		public function __construct() {
			parent::__construct();
			$this->gestionBDArticle = new GestionBDArticle();
		}
		
		protected function lister() {
			$allArticles = $this->gestionBDArticle->getAllArticles();
			
			// Ajout de la pagination
			$total = count($allArticles);
			$this->paginate("Article",$total,"article",3);
			$allArticles = $this->gestionBDArticle->getAllArticles(SmartyPaginate::getCurrentIndex('Article'),SmartyPaginate::getLimit('Article'));
			$this->monSmarty->assign("articles",$allArticles);
			$this->monSmarty->display("afficherArticles.tpl");
		}
		
		protected function editer() {
			$idArticle = $this->parametres['id'];
			if (isset($idArticle)) {
				// Cas de l'affichage du formulaire de modification d'un Article existant
				$article = $this->gestionBDArticle->getArticle($idArticle);
				$this->monSmarty->assign("article",$article);
				$this->monSmarty->display('afficherArticle.tpl');
			}
		}
		
		protected function modifier() {

		}
		
		protected function supprimer() {

		}
		
		protected function ajouter() {

		}
	}
?>